<?php
if ( function_exists('register_sidebar') )
    register_sidebar();
add_filter('pre_option_link_manager_enabled','__return_true');

//让当前主题支持原生的自定义菜单
if (function_exists('register_nav_menus')){
register_nav_menus(array(
//主键key调用nav时使用，值value为后台菜单显示名称
'primary' => 'Primary Navigation 主导航菜单'
));    
}

//启用特色图片add post thumbnails
if ( function_exists( 'add_theme_support' ) ) {
    add_theme_support( 'post-thumbnails' );
}

if ( function_exists( 'add_image_size' ) ) {
    add_image_size( 'customized-post-thumb', 270, 202 );
}

//文章阅读次数
function get_post_views ($post_id) {  
   
    $count_key = 'views';  
    $count = get_post_meta($post_id, $count_key, true);  
   
    if ($count == '') {  
        delete_post_meta($post_id, $count_key);  
        add_post_meta($post_id, $count_key, '0');  
        $count = '0';  
    }  
   
    echo number_format_i18n($count);  
   
}  
function set_post_views () {  
   
    global $post;  
   
    $post_id = $post -> ID;  
    $count_key = 'views';  
    $count = get_post_meta($post_id, $count_key, true);  
   
    if (is_single() || is_page()) {  
   
        if ($count == '') {  
            delete_post_meta($post_id, $count_key);  
            add_post_meta($post_id, $count_key, '0');  
        } else {  
            update_post_meta($post_id, $count_key, $count + 1);  
        }  
    }  
}  
add_action('get_header', 'set_post_views');

//添加自定义按钮
function appthemes_add_quicktags() {
?><script type="text/javascript">// <![CDATA[
QTags.addButton( 'downs', '下载按钮', '<a class="download" href="','" target=_blank>下载</a>' ); //下载按钮
QTags.addButton( 'video', '视频', '<div class="aspect-ratio">','</div><p style="margin-top:20px;text-align:center;"><a class="download" href="" target=_blank>看不了视频点这里</a></p>' ); //视频按钮
// ]]></script><?php } add_action('admin_print_footer_scripts', 'appthemes_add_quicktags' );

//WordPress 注册表单添加验证问题
add_action( 'register_form', 'add_security_question' );
function add_security_question() { ?>
	<p>
	<label><?php _e('取消注册') ?><br />
		<input type="text" name="user_proof" id="user_proof" class="input" size="25" tabindex="20" /></label>
	</p>
<?php }
 
add_action( 'register_post', 'add_security_question_validate', 10, 3 );
function add_security_question_validate( $sanitized_user_login, $user_email, $errors) {
	// 如果没有回答
	if (!isset($_POST[ 'user_proof' ]) || empty($_POST[ 'user_proof' ])) {
		return $errors->add( 'proofempty', '<strong>错误</strong>: 您还没有回答问题。'  );
	// 如果答案不正确
	} elseif ( strtolower( $_POST[ 'user_proof' ] ) != '取消注册此处是答案' ) {
		return $errors->add( 'prooffail', '<strong>错误</strong>: 您的回答不正确。'  );
	}
}

//搜索结果排除所有页面
function search_filter_page($query) {
	if ($query->is_search) {
		$query->set('post_type', 'post');
	}
	return $query;
}
add_filter('pre_get_posts','search_filter_page');


?>
