<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">

<!---------- 空白页面--代码跟single相似 ---------->

<head>
    <title><?php wp_title(''); ?> - <?php bloginfo('name'); ?></title>
    <?php get_header() ?>
</head>

<body>
<div id="wrapper"><!-- 网站尺寸大小 -->
    <div id="page">
        <div id="position"><!--这一层为了让侧边栏对齐-->
            <div id="page-content"><!--文章位置-->
                <?php if(have_posts()): ?><?php while(have_posts()):the_post(); ?>
                    <div class="page-post" id="post-<?php the_ID(); ?>"><!-- 文章 -->
                        <div class="entry-content">
                            <?php the_content(); ?><!--内容-->
                        </div>
                    </div>
                <?php endwhile; ?>
                    <div class="page-comments-template"><!-- 留言 -->
                        <?php comments_template(); ?>
                    </div>
                <?php else: ?>
                    <div id="error"><!-- 404 -->
                        <h2><?php _e('404：Not Found'); ?><br/>
                            <?php _e('未找到内容，请期待更新~'); ?><br/>
                            <?php _e('_(:з」∠)_'); ?>
                        </h2>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <?php get_footer(); ?>
</div>
</body>

</html>